Bug 953184 - Degraded RAID1 array causes unknow error
Degraded RAID1 array causes unknow error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-04-17 10:43 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
9 users (show)

See Also:
Fixed In Version: anaconda-19.24-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 23:40:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-tb (169.32 KB, text/plain)
2013-04-17 10:43 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-04-17 10:43:08 EDT
Description of problem:
Degraded RAID1 array causes unknow error.


Version-Release number of selected component (if applicable):
anaconda 19.19-1
fedora 19 alpha rc3

How reproducible:
always

Steps to Reproduce:
1. On some machine with two disks perform installation. Use RAID1.
2. Remove one disk from the machine.
3. Start installation on this machine.
  
Actual results:
Unknow error is showed.

Expected results:
Successful installation.

Additional info:
Comment 1 Ľuboš Kardoš 2013-04-17 10:43:38 EDT
Created attachment 736886 [details]
anaconda-tb
Comment 2 David Lehman 2013-04-17 11:03:16 EDT
It would be better to not crash in this case, but we have no intention of letting users perform an installation onto a degraded raid array.
Comment 3 Fedora Update System 2013-05-03 19:04:26 EDT
anaconda-19.24-1.fc19, python-blivet-0.12-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.12-1.fc19,anaconda-19.24-1.fc19
Comment 4 Fedora Update System 2013-05-04 14:50:39 EDT
Package anaconda-19.24-1.fc19, python-blivet-0.12-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.24-1.fc19 python-blivet-0.12-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-7403/python-blivet-0.12-1.fc19,anaconda-19.24-1.fc19
then log in and leave karma (feedback).
Comment 5 Ľuboš Kardoš 2013-05-09 04:36:13 EDT
Verified on anaconda-19.24-1.
Comment 6 Fedora Update System 2013-05-21 23:40:57 EDT
anaconda-19.24-1.fc19, python-blivet-0.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.